Subject: bug#30789: 26.0.91; xml-parse-region works but libxml-parse-html-region doesn't

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 13 Mar 2018 08:38:09 +0900

Hi,

Jidanni mailed me an example html mail that contains a broken
encoded text as follows:

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  </head>
  <body>
    .......公告辦理現金救助及低利貸款\343\200
 \202因2月
 低溫危害農作物為延遲性損害，.......
  </body>
</html>

This is a part of the contents.  The original one is encoded by
utf-8 and 8-bit (attached in this mail).  Where "\343\200\n \202"
is the encoded version of "。", i.e., "\343\200\202", but broken
in the middle of the bytes.  It seems that a stupid mail software
perpetrates it because of a long encoded line.

When I read the mail using Gnus + shr, the text after the broken
point is all cut off.  That is what libxml-parse-html-region does,
whereas xml-parse-region doesn't cut it.  Moreover a web browser,
to which I send the html data using the `K H' command, shows all
the text (the broken character is shown as is, though).

This is not necessarily a libxml bug anyway, but I hope it works
like xml-parse.

Thanks.

In GNU Emacs 26.0.91 (build 1, x86_64-unknown-cygwin, GTK+ Version 3.22.28)
 of 2018-03-12 built on localhost
Windowing system distributor 'The Cygwin/X Project', version 11.0.11906000